Plugin's icon

Flutter Enhancement Suite

Build Version Downloads Ratings

The essential plugin for making working with Flutter easier than ever!

Easy-to-use tools for managing your pubspec.yaml, snippets & more

Features

Autocomplete Pub Packages

When you're adding a new package to your pubspec.yaml file, the plugin will figure out what you're looking for. When pressing enter the package with its current version number will appear magically!

Autocomplete pub packages screenshot

Update Pub Packages

Whenever there's a new version available for a package, it will tell you. Just press alt+ā® or āŒ„+ā® and choose "Update package".

Update pub packages screenshot

View Pub Package's Documentation

Just hover over the package's name in the pubspec.yaml - it's as easy as that!

View package's documentation screenshot

View Pub Package's Changelog

You want to update a package but don't know what has changed in the meantime?

No problem! Just hover over its version number to view the changelog.

View package's changelog screenshot

Open a package's page on pub.dev

No more need to copy a package's name and pasting it into the searchbar on pub.dev!

No you can just get there by pressing ctrl+B or āŒ˜+B while the cursor is on the package's name.

Open a package's page on pub.dev

Quickly make classes, functions and variables private or public

For all of you who got tired pressing ā‡§+F6 and adding or removing the underscore: You're finally redeemed!

Just use alt+ā® or āŒ„+ā® to make it private or public.

Quickly make classes, functions and variables private or public

Generate Widgets

When creating a new file, choose the "New Flutter Widget" option. Enter the name for your widget and select its type.

Generate widgets screenshot

Dart & Flutter Code Snippets

A bunch of snippets/LiveTemplates for quicker coding. Use ctrl+Q or F1 when hovering over a snippet to get a preview of it.

Icon Previews

Preview icons from different icon packs in the sidebar.

Please note: This requires you to add the package flutter_vector_icons to your pub dependencies. The only compatible iconpacks for now are FontAwesome, Ionicons and MaterialCommunityIcons.

Icon previews screenshot

Edit Linting Rules

When viewing the "analysis_options.yaml" file, select the "Linter Rules Editor" tab at the bottom to see all linting options available.

Edit linting rules screenshot

:arrow_down: How to install?

You can install plugin directly from IntelliJ IDEA or Android Studio:

  1. Open Preferences
  2. Choose Plugins
  3. Select the Marketplace tab
  4. Search for Flutter Enhancement Suite
  5. Click on install

:card_file_box: How can I contribute to this plugin?

Flutter_enhancement_suite

The essential IntelliJ/Android Studio plugin for making working with Flutter easier than ever!

Flutter_enhancement_suite Info

ā­ Stars 193
šŸ”— Homepage plugins.jetbrains.com
šŸ”— Source Code github.com
šŸ•’ Last Update 7 days ago
šŸ•’ Created 2 years ago
šŸž Open Issues 25
āž— Star-Issue Ratio 8
šŸ˜Ž Author marius-h